1.1

1.1

get /v1/servers

Description

서버 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
서버 이름
Example : servername
any of [string, null]None
queryip
optional
IP 주소
Example : 192.169.3.2
any of [string, null]None
querystate
optional
서버 상태
Example : ACTIVE
any of [string, null]None
queryproduct_category
optional
상품군
Example : compute
any of [enum (compute, container), null]None
queryproduct_offering
optional
상품
Example : virtual_server
any of [array[enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm)], enum (virtual_server, gpu_server, k8s_vm, k8s_gpu_vm), null]None
queryvpc_id
optional
VPC ID
Example : cc976b621087484ea5fd527f4b78708b
any of [string, null]None
queryserver_type_id
optional
서버 타입 ID
Example : s1v1m2
any of [string, null]None
querylimit
optional
페이지 항목 개수
Example : 20
any of [integer, null]None
querymarker
optional
이전 요청에서 마지막으로 반환된 항목 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
querysort
optional
쉼표로 구분된 정렬 목록이며 <키>[:<방향>] 형식으로 지정
Example : created_at:desc
any of [string, null]created_at:desc
queryauto_scaling_group_id
optional
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "servers": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "addresses": [
                {
                    "ip_addresses": [
                        {
                            "ip_address": "192.169.3.2",
                            "version": 4
                        }
                    ],
                    "subnet_name": "subnetname"
                }
            ],
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2026-02-11T06:44:45.212Z",
            "created_by": "97e6b22c9a4143789ca522df7457a32f",
            "disk_config": "MANUAL",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
            "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "is_marketplace": false,
            "keypair_name": "keypairname",
            "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
            "locked": false,
            "metadata": "",
            "modified_at": "2026-02-11T06:44:45.237Z",
            "name": "servername",
            "partition_number": 1,
            "planned_compute_os_type": "windows",
            "product_category": "compute",
            "product_offering": "virtual_server",
            "security_groups": [
                {
                    "name": "securitygroup"
                }
            ],
            "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
            "server_type": {
                "disk": 100,
                "ephemeral": 0,
                "extra_specs": "",
                "id": "s1v1m2",
                "name": "s1v1m2",
                "ram": 2,
                "swap": 0,
                "vcpus": 1
            },
            "state": "ACTIVE",
            "volumes": [
                {
                    "delete_on_termination": false,
                    "id": "3f500f00-ed80-4566-a057-e31760226f9a"
                }
            ],
            "vpc_id": "cc976b621087484ea5fd527f4b78708b"
        }
    ]
}